Bug 145262 - sda read error on 2.6.10-1.741_FC3 kernel
sda read error on 2.6.10-1.741_FC3 kernel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 23:33 EST by Erwin J. Prinz
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-12 23:17:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erwin J. Prinz 2005-01-15 23:33:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I fully upgraded an FC3 system on 1/15/2005, including installing the
kernel kernel-2.6.10-1.741_FC3 (i686). After reboot in runlevel 3,
error messages from the kernel showed up as follows (and were also in
/var/log/messages):

Jan 15 22:12:07 tiger kernel: Device not ready.  Make sure there is a
disc in the drive.
Jan 15 22:12:07 tiger kernel: SCSI error : <0 0 0 0> return code = 0x70000
Jan 15 22:12:08 tiger kernel: sda : READ CAPACITY failed.
Jan 15 22:12:08 tiger kernel: sda : status=0, message=00, host=7,
driver=00
Jan 15 22:12:08 tiger kernel: sda : sense not available.
Jan 15 22:12:08 tiger kernel: sda: Write Protect is off
Jan 15 22:12:08 tiger kernel: sda: assuming drive cache: write through
Jan 15 22:12:08 tiger kernel: sda : READ CAPACITY failed.
Jan 15 22:12:08 tiger kernel: sda : status=0, message=00, host=7,
driver=00
Jan 15 22:12:08 tiger kernel: sda : sense not available.
Jan 15 22:12:08 tiger kernel: sda: Write Protect is off
Jan 15 22:12:08 tiger kernel: sda: assuming drive cache: write through
Jan 15 22:12:08 tiger kernel:  sda:<3>Buffer I/O error on device sda,
logical block 0
Jan 15 22:12:08 tiger kernel: Buffer I/O error on device sda, logical
block 0
Jan 15 22:12:08 tiger kernel: Buffer I/O error on device sda, logical
block 0
Jan 15 22:12:08 tiger kernel:  unable to read partition table
Jan 15 22:12:08 tiger kernel: sda : READ CAPACITY failed.
Jan 15 22:12:08 tiger kernel: sda : status=0, message=00, host=7,
driver=00
Jan 15 22:12:08 tiger kernel: sda : sense not available.
Jan 15 22:12:08 tiger kernel: sda: Write Protect is off
Jan 15 22:12:08 tiger kernel: sda: assuming drive cache: write through
Jan 15 22:12:08 tiger kernel: sda : READ CAPACITY failed.
Jan 15 22:12:08 tiger kernel: sda : status=0, message=00, host=7,
driver=00
Jan 15 22:12:08 tiger kernel: sda : sense not available.
...
...


This same system works perfectly with kernel kernel-2.6.9-1.681_FC3.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.741_FC3

How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel kernel-2.6.10-1.741_FC3
2.
3.
    

Actual Results:  Error message in /var/log/messages as shown above

Expected Results:  No read errors on /dev/sda with that kernel.

Additional info:
Comment 1 Warren Togami 2005-01-16 00:11:44 EST
What kind of device is /dev/sda?  Is your system disk /dev/hda?
Comment 2 Erwin J. Prinz 2005-01-28 15:37:28 EST
Yes it is. From df | sort ...

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1              5010464   2822756   2187708  57% /mnt/windows
/dev/hda4             10080520   6283832   3284620  66% /usr
/dev/hda5               202219     18567    173212  10% /boot
/dev/hda6              4949312   3192492   1505408  68% /
/dev/hda7             10649680   4810608   5298088  48% /documents
/dev/hda8              8910284   4260084   4197572  51% /home
/dev/hdb1               101086     20347     75520  22% /_boot
/dev/hdb2             10009328   7200020   2300852  76% /_usr
/dev/hdb3             10080520   3325056   6243396  35% /_home
/dev/hdb5             10080488   7409856   2158564  78% /work
/dev/hdb6             10080488   6697396   2871024  70% /work2
/dev/hdb7              5036284   2648572   2131880  56% /_
/dev/hdb10             8681132   4392140   3848012  54% /freescale
/home                  8910284   4260084   4197572  51% /tiger/home
none         
Comment 3 Erwin J. Prinz 2005-01-29 22:36:35 EST
I have installed the new kernel 2.6.10-1.753_FC3 from updates/testing
and the issue has gone away. Should we call it "resolved"?

Note You need to log in before you can comment on or make changes to this bug.